Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	xfce4-dict-plugin can query a dictionary server
Name:		xfce4-dict-plugin
Version:	0.5.2
Release:	1
License:	GNU/GPL
URL:		http://xfce-goodies.berlios.de
Source0:	xfce4-dict-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: xfce4-panel-devel
BuildRequires: zlib-devel

%description
With this plugin you can query a dictionary server(see RFC 2229) to search for 
the translation or explanation of a word. You can also choose a dictionary 
offered by the server to improve your search results.

%prep
%setup -n xfce4-dict-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libexecdir/xfce4/panel-plugins/xfce4-dict-plugin
%_datadir

%changelog
* Tue Mar 17 2009 Christian Wasem <wasem@ccux-linux.de> 0.5.2-1
- Version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.1-1
- Initial Release
